[FFe] New Catfish version

Bug #1156555 reported by Sean Davis on 2013-03-18
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Catfish
Fix Released
Undecided
Unassigned
catfish (Ubuntu)
High
Unassigned

Bug Description

Please allow a feature freeze exception for Catfish 0.6.1.

The current version in the raring repos does not start (https://bugs.launchpad.net/ubuntu/+source/catfish/+bug/1154088).

The new version has been packaged and tested in the Catfish Stable PPA. https://launchpad.net/~catfish-search/+archive/catfish-stable.

This version contains the changes from the 0.6.0 release (https://launchpad.net/catfish-search/0.6/0.6.0) as well as the 0.6.1 release (https://launchpad.net/catfish-search/0.6/0.6.1), incorporating a large amount of performance and stability enhancements.

It also fixes the following bugs:
1048729, 1050706, 1052361, 1085061, 607988, 1045630, 1085066, 1113573, 1154088

Release announcement with screenshots and features here: http://www.smdavis.us/2013/03/13/catfish-0-6-1-released-ppa-available/

Sean Davis (bluesabre) wrote :
Sean Davis (bluesabre) wrote :
description: updated
Scott Kitterman (kitterman) wrote :

Ack. Approved.

Changed in catfish (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-13.04-beta-2
status: New → Triaged
Scott Kitterman (kitterman) wrote :

I just uploaded this for Xubuntu to support Beta 2 and it now starts and does not ship .pyc files instead of .py, but it still has a significant problem with symlinks that really ought to be fixed before release:

0 2013-03-29 19:28 ./usr/share/catfish/locale -> /tmp/buildd/catfish-0.6.1/debian/catfish/usr/share/locale
0 2013-03-29 19:28 ./usr/share/catfish/catfish.svg -> /tmp/buildd/catfish-0.6.1/debian/catfish/usr/share/icons/hicolor/scalable/apps/catfish.svg

It does start now too, which was the RC issue before.

Changed in catfish (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package catfish - 0.6.1-0ubuntu1

---------------
catfish (0.6.1-0ubuntu1) raring; urgency=low

  [ Liviu Andronic ]
  * New upstream release. (LP: #1156555)
  * Misc changes to debian/control.
  * Simplify debian/rules to ensure it works with newest catfish.

  [ Scott Kitterman ]
  * Fix Makefile.in.in to install .py instead of .pyc files
  * Drop obsolete debian/patches/10Fix_makefile.dpatch and 00list
  * Drop dpatch from build-depends
  * Add --with python2 so dh_python2 is used
 -- Liviu Andronic <email address hidden> Mon, 07 Mar 2013 22:22:03 +0200

Changed in catfish (Ubuntu):
status: Fix Committed → Fix Released
Sean Davis (bluesabre) on 2013-04-08
Changed in catfish-search:
status: New → Fix Released
Sean Davis (bluesabre) wrote :

I fixed the packaging and symlink issues (and incorporated the packaging patches) in catfish 0.6.3 (in the PPA now). Should I request a sponsored upload, or would somebody here be willing to upload it?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers